package com.ruoyi.project.asset.service;

import java.util.List;
import com.ruoyi.project.asset.domain.TSpecdevAsset;

/**
 * 资产与运营Service接口
 * 
 * @author ruoyi
 * @date 2022-10-12
 */
public interface ITSpecdevAssetService 
{
    /**
     * 查询资产与运营
     * 
     * @param id 资产与运营ID
     * @return 资产与运营
     */
    public TSpecdevAsset selectTSpecdevAssetById(Long id);

    /**
     * 查询资产与运营列表
     * 
     * @param tSpecdevAsset 资产与运营
     * @return 资产与运营集合
     */
    public List<TSpecdevAsset> selectTSpecdevAssetList(TSpecdevAsset tSpecdevAsset);

    /**
     * 新增资产与运营
     * 
     * @param tSpecdevAsset 资产与运营
     * @return 结果
     */
    public int insertTSpecdevAsset(TSpecdevAsset tSpecdevAsset);

    /**
     * 修改资产与运营
     * 
     * @param tSpecdevAsset 资产与运营
     * @return 结果
     */
    public int updateTSpecdevAsset(TSpecdevAsset tSpecdevAsset);

    /**
     * 批量删除资产与运营
     * 
     * @param ids 需要删除的资产与运营ID
     * @return 结果
     */
    public int deleteTSpecdevAssetByIds(Long[] ids);

    /**
     * 删除资产与运营信息
     * 
     * @param id 资产与运营ID
     * @return 结果
     */
    public int deleteTSpecdevAssetById(Long id);
}
